Register a webhook for the current organization.
Register a webhook for the current organization — Competitor Tracker & Co. API reference for POST /v1/dispatches/webhooks: request parameters, request body.
Required role: admin or higher (organization-level).
Required scope: dispatches:write (for both OAuth2 tokens and API keys).
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://api.competitortracker.io/v1/dispatches/webhooks" \ -H "Content-Type: application/json" \ -d '{ "url": "https://hooks.example.com/competitor-tracker" }'{
"id": "string",
"url": "string",
"isActive": true,
"secret": "string",
"createdAt": "string"
}{
"code": "string",
"message": "string",
"resolution": "string"
}{
"code": "string",
"message": "string",
"resolution": "string"
}List the current organization's webhooks. GET
List the current organization's webhooks — Competitor Tracker & Co. API reference for GET /v1/dispatches/webhooks: request parameters, request body, response.
Delete a webhook, freeing one of the organization's slots. DELETE
Delete a webhook, freeing one of the organization's slots — Competitor Tracker & Co. API reference for DELETE /v1/dispatches/webhooks/{id}: request parameters.